POST api/NTContactTracing/UpdateContactTracing

Request Information

URI Parameters

None.

Body Parameters

ContactTracingDTO
NameDescriptionTypeAdditional information
Id

integer

None.

ClinicalPathwayId

integer

None.

InteractionType

string

String length: inclusive between 0 and 50

EmployeeId

string

String length: inclusive between 0 and 15

IndexEmployeeId

string

String length: inclusive between 0 and 12

Phone

string

String length: inclusive between 0 and 100

Status

integer

None.

FirstName

string

String length: inclusive between 0 and 50

LastName

string

String length: inclusive between 0 and 50

NoOfAttempts

integer

None.

InterviewNote

string

String length: inclusive between 0 and 300

IsEmployeeReached

boolean

None.

UserField1

string

String length: inclusive between 0 and 100

DOB

date

None.

WLCode

string

String length: inclusive between 0 and 15

ContactWLCode

string

String length: inclusive between 0 and 15

IsEdit

boolean

None.

IndexCaseNo

integer

None.

CaseNo

integer

None.

CorporationCode

string

String length: inclusive between 0 and 20

Note

string

String length: inclusive between 0 and 300

Email

string

String length: inclusive between 0 and 150

ContactFirstName

string

String length: inclusive between 0 and 50

ContactLastName

string

String length: inclusive between 0 and 50

CompanyName

string

String length: inclusive between 0 and 60

WLName

string

String length: inclusive between 0 and 200

StatusName

string

String length: inclusive between 0 and 30

ContactFullName

string

String length: inclusive between 0 and 100

FullName

string

String length: inclusive between 0 and 100

ValidFlag

boolean

None.

DateCreated

date

None.

DateUpdated

date

None.

UserIDCreated

integer

None.

UserIDUpdated

integer

None.

CompanyCode

string

String length: inclusive between 0 and 10

IsExcludeDiscount

boolean

None.

Request Formats

application/json, text/json

Sample:
{
  "Id": 1,
  "ClinicalPathwayId": 2,
  "InteractionType": "sample string 3",
  "EmployeeId": "sample string 4",
  "IndexEmployeeId": "sample string 5",
  "Phone": "sample string 6",
  "Status": 1,
  "FirstName": "sample string 7",
  "LastName": "sample string 8",
  "NoOfAttempts": 1,
  "InterviewNote": "sample string 9",
  "IsEmployeeReached": true,
  "UserField1": "sample string 10",
  "DOB": "2026-08-04T14:27:29.4873418-07:00",
  "WLCode": "sample string 11",
  "ContactWLCode": "sample string 12",
  "IsEdit": true,
  "IndexCaseNo": 1,
  "CaseNo": 1,
  "CorporationCode": "sample string 13",
  "Note": "sample string 14",
  "Email": "sample string 15",
  "ContactFirstName": "sample string 16",
  "ContactLastName": "sample string 17",
  "CompanyName": "sample string 18",
  "WLName": "sample string 19",
  "StatusName": "sample string 20",
  "ContactFullName": "sample string 17, sample string 16",
  "FullName": "sample string 8, sample string 7",
  "ValidFlag": true,
  "DateCreated": "2026-08-04T14:27:29.4873418-07:00",
  "DateUpdated": "2026-08-04T14:27:29.4873418-07:00",
  "UserIDCreated": 24,
  "UserIDUpdated": 25,
  "CompanyCode": "sample string 26",
  "IsExcludeDiscount": true
}

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

AsapResponseOfContactTracingDTO
NameDescriptionTypeAdditional information
isSuccess

boolean

None.

message

string

None.

jsonObj

ContactTracingDTO

None.

totalCount

integer

None.

Response Formats

application/json, text/json

Sample:
{
  "isSuccess": true,
  "message": "sample string 2",
  "jsonObj": {
    "Id": 1,
    "ClinicalPathwayId": 2,
    "InteractionType": "sample string 3",
    "EmployeeId": "sample string 4",
    "IndexEmployeeId": "sample string 5",
    "Phone": "sample string 6",
    "Status": 1,
    "FirstName": "sample string 7",
    "LastName": "sample string 8",
    "NoOfAttempts": 1,
    "InterviewNote": "sample string 9",
    "IsEmployeeReached": true,
    "UserField1": "sample string 10",
    "DOB": "2026-08-04T14:27:29.4873418-07:00",
    "WLCode": "sample string 11",
    "ContactWLCode": "sample string 12",
    "IsEdit": true,
    "IndexCaseNo": 1,
    "CaseNo": 1,
    "CorporationCode": "sample string 13",
    "Note": "sample string 14",
    "Email": "sample string 15",
    "ContactFirstName": "sample string 16",
    "ContactLastName": "sample string 17",
    "CompanyName": "sample string 18",
    "WLName": "sample string 19",
    "StatusName": "sample string 20",
    "ContactFullName": "sample string 17, sample string 16",
    "FullName": "sample string 8, sample string 7",
    "ValidFlag": true,
    "DateCreated": "2026-08-04T14:27:29.4873418-07:00",
    "DateUpdated": "2026-08-04T14:27:29.4873418-07:00",
    "UserIDCreated": 24,
    "UserIDUpdated": 25,
    "CompanyCode": "sample string 26",
    "IsExcludeDiscount": true
  },
  "totalCount": 3
}